DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PutSlice

Put a slice in an image

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_PutSlice ( in, out, cor, dim1, dim2 )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Put a slice orthogonally in an image. The position of the slice in the image is specified by the coordinates at which its upper left corner (`cor`) should be placed and on which dimensions of the image, the dimensions of the slice map (`dim1`, `dim2`). If `in` has a different type than `out`, it will be converted to the type of `out`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | 2D Input Image
`dip_Image` | `out` | 3D Output Image
`dip_IntegerArray` | `cor` | Coordinate in `out` where the upper left corner of `in` is placed
`dip_int` | `dim1` | Dimension of `in` on which the slice's first dimension maps
`dip_int` | `dim2` | Dimension of `in` on which the slice's second dimensionmaps

## SEE ALSO

`PutSlice`, `GetLine`, `PutLine`

DIPlib on-line documentation | Function reference | Global function index